Index: Source/plugin.h
--- Source/plugin.h.orig	2005-01-27 01:58:34 +0100
+++ Source/plugin.h	2005-02-14 21:35:08 +0100
@@ -40,7 +40,11 @@
 #ifdef BSD
 #include <cmath>
 #endif
+#ifdef __FreeBSD__
+#define _XOPEN_SOURCE 600
+#else
 #define _XOPEN_SOURCE 500
+#endif
 
 #ifndef BSD
 #ifndef _GNU_SOURCE
@@ -57,6 +61,9 @@
 #include <sys/types.h>
 #include <signal.h>
 #include <string.h>
+#ifdef HAVE_STRINGS_H
+#include <strings.h>
+#endif
 #ifdef HAVE_GETTEXT
 # include <libintl.h>
 # define _(x) (gettext(x))
